Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065644 - With compression translator for a volume fuse mount I/O is returning input/output error
Summary: With compression translator for a volume fuse mount I/O is returning input/ou...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: GlusterFS
Classification: Community
Component: compression-xlator
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: GlusterFS Bugs list
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-15 10:51 UTC by Lalatendu Mohanty
Modified: 2015-03-16 11:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-09 07:51:01 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Lalatendu Mohanty 2014-02-15 10:51:39 UTC
Description of problem:

With compression translator for a volume, fuse mount I/O is returning input/output error


Version-Release number of selected component (if applicable):

root@desktop82 ~]# rpm -qa | grep gluster
samba-vfs-glusterfs-4.1.4-1.fc20.x86_64
glusterfs-fuse-3.5.0-0.5.beta3.fc20.x86_64
glusterfs-api-3.5.0-0.5.beta3.fc20.x86_64
glusterfs-server-3.5.0-0.5.beta3.fc20.x86_64
glusterfs-libs-3.5.0-0.5.beta3.fc20.x86_64
glusterfs-devel-3.5.0-0.5.beta3.fc20.x86_64
glusterfs-3.5.0-0.5.beta3.fc20.x86_64
glusterfs-cli-3.5.0-0.5.beta3.fc20.x86_64


How reproducible:


Steps to Reproduce:
1. Create a dht volume and start it.
2. Mount the volume using cifs. Run IO on it
3. Enable Compression on the volume. 
gluster v set smbvol1 network.compression on
4. Mount the volume over fuse
5. Try to do I/O on it

Actual results:
Creating files in /mnt/fuse/f/......
Cannot write to a0 - Input/output error

Expected results:


Additional info:

[root@desktop82 ~]# gluster v info smbvol1
 
Volume Name: smbvol1
Type: Distribute
Volume ID: df5dcd3e-7a1c-46ea-a23c-682f06dd6c83
Status: Started
Number of Bricks: 2
Transport-type: tcp
Bricks:
Brick1: 192.168.0.92:/brick1/smbvol1-b2
Brick2: 192.168.0.82:/brick1/smbvol1-b2
Options Reconfigured:
network.compression.mode: server
network.compression: on
nfs.disable: on

In "/var/log/glusterfs/mnt-fuse.log "
ll keep trying to connect to glusterd until brick's port is available
[2014-02-15 10:36:06.894655] W [fuse-bridge.c:2201:fuse_writev_cbk] 0-glusterfs-fuse: 182186: WRITE => -1 (Input/output error)
[2014-02-15 10:36:06.894958] W [fuse-bridge.c:1206:fuse_err_cbk] 0-glusterfs-fuse: 182187: FLUSH() ERR => -1 (Input/output error)


/var/log/glusterfs/etc-glusterfs-glusterd.vol.log

Comment 1 Prashanth Pai 2014-02-18 06:04:25 UTC
Could you please retry this with write-behind turned off entirely OR by setting  "performance.strict-write-ordering" to off ?

CDC xlator has a known issue with write-behind. It's mentioned here:
http://www.gluster.org/community/documentation/index.php/Features/On-Wire_Compression_%2B_Decompression

Comment 3 Niels de Vos 2014-09-09 07:51:01 UTC
As mentioned in comment #1, this is a known issue and a workaround is to disable write-behind. It is not planned to get fixed in a 3.5 version.

Comment 4 Lalatendu Mohanty 2015-03-16 11:40:59 UTC
Clearing the needinfo on me as this is a known issue


Note You need to log in before you can comment on or make changes to this bug.